Subject: [proto-team] Re: Russ's Discuss on the doc shepherding draft

From: Brian E Carpenter <[email-masked]>
Date: Tue, 21 Nov 2006 17:30:23 +0100

Allison Mankin wrote:
> Brian,
> 
> I can add the IANA experts matter to Personnel - good catch.
> 
> 
>>Try http://www.ietf.org/IESG/content/Doc-Writeup.txt for now.
>>Is that the right material? (txt is so much easier to maintain
>>than html.)
> 
> 
> Hmm.  "For now"?  This document is for a long time, so we'll have to
> have a forward pointer if we move it, so this should a quite stable
> location.

If we move it to an ION, the same URL could be a redirect.

> 
> Otherwise OK, assuming one more thing - let's put the template there
> now, before we put the new draft out.  OK?
> 
> I would vote for the html format.  We just develop and store xml
> source (as its maintainers) and output html via xml2rfc.  html is
> much nicer to read online.  I think we want it be as user-friendly
> as the ID-checklist.

Well, if people have to cut and paste it to create their reports,
isn't txt the user-friendly approach?

    Brian

> Onwards and upwards :)
> Allison

_______________________________________________
proto-team mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/proto-team

---

From: Henrik Levkowetz <[email-masked]>
Date: Wed, 22 Nov 2006 00:24:29 +0100

On this particular point:

> Allison Mankin wrote:
...
> isn't txt the user-friendly approach?

Since I expect people to cut and paste the text to their email clients,
I'd favour plain text for this.  (If we at some point want to generate
an alternative online entry form for the information, it's pretty
straightforward to generate the needed HTML form from any of TXT, XML
or HTML.  I'd prefer to do that from TXT too, but I think that's a very
personal preference without much weight in this context.)

For possible future automated processing of the filled-in email-submitted
questionnaire I'd also prefer plain text over HTML.

If we should want to annotate the template with inline hypertext links, I'd
propose switching to a HTML format at that point.  But then we're probably
talking about something different than the HTML text generated from XML by
xml2rfc, anyway.

	Henrik